<script lang="ts" context="module">
export async function load({session, page}) {
    return {
        props: {
            sess: session.sess,
            id: page.params.id
        }
    }
}
</script>
<script>
import {goto} from "$app/navigation";
import TextInput from "../../../components/TextInput.svelte";
import Button from "../../../components/Button.svelte";
import * as Api from "../../../api/Api";

export let sess, id;

let name;

let renameHandler = () => {
    Api.User.rename(sess, id, name).then(() => goto('/users/' + id))
        .catch(() => goto('/error?from=user-rename'));
}
</script>

<svelte:head>
    <title>Rename | AZtendance</title>
</svelte:head>

<form on:submit|preventDefault={renameHandler}>
    <p>User ID: {id}</p>
    <TextInput name="pwd" label="Name" bind:value={name} />
    <Button content="Rename" theme="primary" onclick={renameHandler}/>
</form>